Video

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Video

## Functions
Evas_Object * | elm_player_add (Evas_Object *parent)
| Add a new Elm_Player object to the given parent Elementary (container) object. More...
Evas_Object * | elm_video_add (Evas_Object *parent)
| Add a new Elm_Video object to the given parent Elementary (container) object. More...
Eina_Bool | elm_video_file_set (Eo *obj, const char *filename)
| Define the file or URI that will be the video source. More...
void | elm_video_file_get (Eo *obj, const char **filename)
| Get the file or URI that is used as the video source. More...

## Detailed Description

Elementary comes with two object that help design application that need to display video.

The first one, Elm_Video, display a video by using Emotion. It embeds the video inside an Edje object, so you can do some animation depending on the video state change. It also implements a resource management policy to remove this burden from the application.

The second one, Elm_Player is a video player that need to be linked with an Elm_Video. It take care of updating its content according to Emotion event and provide a way to theme itself. It also automatically raises the priority of the linked Elm_Video so it will use the video decoder, if available. It also activates the "remember" function on the linked Elm_Video object.

Both widgets inherit from the Layout one, so that all the functions acting on it also work for video objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"focused"` : When the video has received focus. (since 1.8)
- `"unfocused"` : When the video has lost focus. (since 1.8)

The player widget emits the following signals, besides the ones sent from Layout:

- `"forward,clicked"` - the user clicked the forward button.
- `"info,clicked"` - the user clicked the info button.
- `"next,clicked"` - the user clicked the next button.
- `"pause,clicked"` - the user clicked the pause button.
- `"play,clicked"` - the user clicked the play button.
- `"prev,clicked"` - the user clicked the prev button.
- `"rewind,clicked"` - the user clicked the rewind button.
- `"stop,clicked"` - the user clicked the stop button.

Default content parts of the player widget that you can use for are:

- "video" - A video of the player

## Function Documentation

Evas_Object* elm_player_add | ( | Evas_Object * | parent | ) |

Add a new Elm_Player object to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new player widget handle or `NULL`, on errors.

This function inserts a new player widget on the canvas.

See also
  elm_object_part_content_set()

Evas_Object* elm_video_add | ( | Evas_Object * | parent | ) |

Add a new Elm_Video object to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new video widget handle or `NULL`, on errors.

This function inserts a new video widget on the canvas.

See also
  elm_video_file_set()

void elm_video_file_get | ( | Eo * | obj,
|  | const char ** | filename
| ) |  |

Get the file or URI that is used as the video source.

Parameters

  filename | The file or URI.

Since
  1.14

Eina_Bool elm_video_file_set | ( | Eo * | obj,
|  | const char * | filename
| ) |  |

Define the file or URI that will be the video source.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

This function will explicitly define a file or URI as a source for the video of the Elm_Video object.

See also
  elm_video_add()
  elm_player_add()

Parameters

  [in] | filename | The file or URI to target. Local files can be specified using file:// or by using full file paths. URI could be remote source of video, like http:// or local source like WebCam (v4l2://). (You can use Emotion API to request and list the available Webcam on your system).